FedoraForum.org - Fedora Support Forums and Community
Page 7 of 7 FirstFirst ... 5 6 7
Results 91 to 102 of 102
  1. #91
    Join Date
    Jan 2012
    Location
    all world
    Posts
    144

    Exclamation Re: PostInstallerF

    Quote Originally Posted by glennzo
    Here's what I get when I try to install this program under Fedora 21 I686.

    Same issue as broadstairs?

    I should add that all seems well with postinstallerf under Fedora 22.
    Hi glennzo, yes is serious problem! Sourceforge experienced a storage fault; and I can't upload the new package ; but I hope tomorrow it will available for all.

    http://sourceforge.net/blog/sourcefo...pdate-for-728/

    My last option would COPR. But there is very limited, and I can not pack most packages, provided by PostInstallerF
    Last edited by debo2011; 31st July 2015 at 06:57 PM.

  2. #92
    bob's Avatar
    bob is online now Administrator (yeah, back again)
    Join Date
    Jul 2004
    Location
    Colton, NY; Junction of Heaven & Earth (also Routes 56 & 68).
    Age
    72
    Posts
    23,391

    Re: PostInstallerF

    David, used your script for F24 Gnome and it's generally working very well, however dnf updates now shows:

    Skipping packages with broken dependencies:
    gstreamer1-plugins-bad-freeworld x86_64 1.8.1-4.fc24 postinstallerf 178 k

    Looks like a tweak is indicated.
    Linux & Beer - That TOTALLY Computes!
    Registered Linux User #362651


    Don't use any of my solutions on working computers or near small children.

  3. #93
    Join Date
    Jan 2012
    Location
    all world
    Posts
    144

    Re: PostInstallerF

    Hi! thanks, I am updating now to 1.8.2; and it will solved the problem, gstreamer1 updated to 1.8.2 and affected the package.

  4. #94
    Join Date
    Jun 2016
    Location
    Chile
    Posts
    1

    Re: PostInstallerF

    Quote Originally Posted by debo2011
    Hi! thanks, I am updating now to 1.8.2; and it will solved the problem, gstreamer1 updated to 1.8.2 and affected the package.

    is rpmfusion necessary to use postinstallerf? When will 1.8.2 be ready?
    Last edited by ossandon; 26th June 2016 at 02:05 AM.

  5. #95
    Join Date
    Jan 2012
    Location
    all world
    Posts
    144

    Smile Re: PostInstallerF

    Quote Originally Posted by ossandon
    is rpmfusion necessary to use postinstallerf? When will 1.8.2 be ready?
    Short answer: No. rpmfusion is necessary for some tasks in PostinstallerF (but not a dependency); if you see gstreamer1 isn't part of rpmfusion, gstreamer1-devel is necessary if you want compile all gstreamer1-plugins... Why I provide a 'gstreamer1-plugins-bad-freeworld' in postinstallerf? well for "gstreamer1-plugin-openh264" the future...
    Code:
    dnf provides gstreamer1
    dnf provides gstreamer1-devel
    Last edited by debo2011; 26th June 2016 at 06:52 AM.

  6. #96
    Join Date
    Jun 2005
    Location
    Montreal, Que, Canada
    Posts
    4,735

    Re: PostInstallerF

    Quote Originally Posted by debo2011
    Coming soon
    I'm on F24. I click on mp4's and I get sound only.

    I am able to dual boot Chapeau Linux F23, and view my mp4's. Any ideas about getting video to work?
    Leslie in Montreal

    Interesting web sites list
    http://forums.fedoraforum.org/showth...40#post1697840

  7. #97
    Join Date
    Dec 2013
    Location
    United Kingdom
    Posts
    5,548

    Re: PostInstallerF

    is ffmpeg-libs installed leslie? if not try installing that rpm

  8. #98
    Join Date
    Jan 2010
    Posts
    7,198

    Re: PostInstallerF

    What player do you use, and it does it play x265 (HEVC) videos? This isn't yet consistent across distributions, and mplayer, at least, is usually able to play everything, but, for example, most Ubuntu offshoots have a version of mplayer that won't play x265 video. Their mpv will. At one point, Fedora's mpv wouldn't, but it does in its latest iteration.

    To see if it's x265 encoded, if you have ffmpeg installed, you can run ffprobe -hide_banner <filename>.

    If it does show that it's x265 (hevc) encoded, you may need a different player.

  9. #99
    Join Date
    Jan 2012
    Location
    all world
    Posts
    144

    Re: PostInstallerF

    rpmfusion-non-free isn't complete in this moment; but all can install unitedrpms , repository

  10. #100
    bob's Avatar
    bob is online now Administrator (yeah, back again)
    Join Date
    Jul 2004
    Location
    Colton, NY; Junction of Heaven & Earth (also Routes 56 & 68).
    Age
    72
    Posts
    23,391

    Re: PostInstallerF

    Before installing unitedrpms, I'd carefully read the description. Personally, there are things there that disturb me.
    Linux & Beer - That TOTALLY Computes!
    Registered Linux User #362651


    Don't use any of my solutions on working computers or near small children.

  11. #101
    Join Date
    Mar 2015
    Location
    Europe
    Posts
    73

    Re: PostInstallerF

    I'd also be careful with PostInstallerF, it has some major security flaws:

    1. the .repo files disables GPG checks: repo_gpgcheck=0

    2. some scripts (e.g. the RPMFusion installer) use --nogpgcheck without checking the signature of packages downloaded.

    3. Some files are downloaded from an unencrpyted (HTTP instead of HTTPS) connection and no signatures are checked.


    So as a general rule, don't ever open metadata files or run applications or installers for an insecure connection. To make a connection secure you should at least download it through HTTPS (and check the certificate validity) or check the signature (PGP or S/MIME) against a known key downloaded through a secure connection.

    There are some more quality issues in this script, for example:

    * the postinstaller will fail if a /tmp/.pictures folder already exists and is owned by different user. You should use mktemp instead.

    * the "gnome" script is using zenity to get the password for sudo, but it is unclear whether to input the root or user password. Instead you should use pkexec, which you do sometimes.

    * the software is inconsistent about using yad vs. using zenity. One of them should be enough.

    If you want me to have a more detailled look at this software, please leave me a personal message.

  12. #102
    Join Date
    Jan 2012
    Location
    all world
    Posts
    144

    Re: PostInstallerF

    Welcome your help, clone and make a pull request
    https://github.com/kuboosoft/postinstallerf
    Last edited by debo2011; 13th January 2017 at 06:20 AM.

Page 7 of 7 FirstFirst ... 5 6 7

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •